Mozilla Thunderbird < 60.5.1

high Nessus Plugin ID 122401

Synopsis

遠端 macOS 或 Mac OS X 主機上安裝的電子郵件用戶端受到多個弱點影響。

描述

遠端 macOS 或 Mac OS X 主機上安裝的 Thunderbird 版本比 60.5.1 版舊。因此,會受到 mfsa2019-06 公告中所提及的多個弱點影響。- 若在 macOS 上執行 Canvas 2D 加速動作,Skia 程式庫中會產生緩衝區溢位弱點。停用 Firefox ESR 中的 Canvas 2D 加速功能即可解決此問題。*請注意:預設已停用 Canvas 2D 加速功能的其他版本和平台不受影響。(CVE-2018-18335) - 建立路徑時,Skia 程式庫中會產生釋放後使用弱點,進而導致可能遭到惡意利用的損毀。(CVE-2018-18356) - 驗證特定 S/MIME 簽名時的缺陷導致顯示在 Thunderbird 中的電子郵件具有有效數位簽名,即使簽名不包含所顯示的訊息內容亦然。攻擊者可藉此缺陷重複使用有效的 S/MIME 簽名,用任意內容偽造電子郵件訊息。(CVE-2018-18509) - 執行特定轉換操作後,Skia 程式庫中會產生整數溢位弱點,進而導致可能遭到惡意利用的損毀。(CVE-2019-5785) 請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級版本至 Mozilla Thunderbird 60.5.1 版或更新版本。

另請參閱

https://www.mozilla.org/en-US/security/advisories/mfsa2019-06/

http://www.nessus.org/u?712c97d8

Plugin 詳細資訊

嚴重性: High

ID: 122401

檔案名稱: macos_thunderbird_60_5_1.nasl

版本: 1.2

類型: local

代理程式: macosx

已發布: 2019/2/22

已更新: 2019/5/7

支持的傳感器: Nessus Agent

風險資訊

CVSS 評分資料來源: CVE-2018-18335

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5.3

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:POC/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 8.8

時間分數: 7.9

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

時間媒介: E:P/RL:O/RC:C

弱點資訊

CPE: cpe:/a:mozilla:thunderbird

必要的 KB 項目: MacOSX/Thunderbird/Installed

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2019/2/14

弱點發布日期: 2019/2/14

參考資訊

CVE: CVE-2018-18335, CVE-2018-18356, CVE-2018-18509, CVE-2019-5785

MFSA: 2019-06